View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012833ParaView(No Category)public2011-12-31 23:192015-01-11 08:36
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version3.14 
Summary0012833: Changing LUT marks representation dirty and causes re-execution of representation
DescriptionChanging LUT marks representation dirty and causes re-execution of representation. That's unnecessary and expensive since updating represenation results in data movement.
TagsNo tags attached.
ProjectAMR Streaming
Topic Name12833_fix_update_on_lut_change
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027893)
Utkarsh Ayachit (administrator)
2011-12-31 23:23

commit 7c25d38bcd476df9c1a466e59d919c787ee77f77
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Sat Dec 31 23:20:17 2011 -0500

    Fixed BUG 0012833. Don't mark reprs dirty when LUT changes.
    
    Added a new attribute "skip_dependency" to proxy property that makes it possible
    to avoid setting up of producer-consumer dependencies. Using it we avoid setting
    up these dependencies for LUT and ScalarOpacityFunction and thus solving the
    problem.
    
    Also updated the documentation in vtkSMProxyProperty.h.
    
    Change-Id: I6459657a95a9a2f956e6b55657af77d9361c57b4
(0027909)
Utkarsh Ayachit (administrator)
2012-01-06 14:53

merged into master (where ever applicable)
(0028216)
Utkarsh Ayachit (administrator)
2012-02-08 17:27

Closing bugs sitting in "customer review" for a long time.

- Issue History
Date Modified Username Field Change
2011-12-31 23:19 Utkarsh Ayachit New Issue
2011-12-31 23:19 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2011-12-31 23:23 Utkarsh Ayachit Topic Name => 12833_fix_update_on_lut_change
2011-12-31 23:23 Utkarsh Ayachit Note Added: 0027893
2011-12-31 23:23 Utkarsh Ayachit Status backlog => gatekeeper review
2011-12-31 23:23 Utkarsh Ayachit Fixed in Version => git-next
2011-12-31 23:23 Utkarsh Ayachit Resolution open => fixed
2012-01-06 14:52 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-01-06 14:53 Utkarsh Ayachit Status gatekeeper review => customer review
2012-01-06 14:53 Utkarsh Ayachit Note Added: 0027909
2012-02-08 17:21 Utkarsh Ayachit Fixed in Version git-master => 3.14
2012-02-08 17:27 Utkarsh Ayachit Status customer review => closed
2012-02-08 17:27 Utkarsh Ayachit Note Added: 0028216
2015-01-11 08:36 Utkarsh Ayachit Source_changeset_attached => ParaView master 9156dc37
2015-01-11 08:36 Utkarsh Ayachit Source_changeset_attached => ParaView master 7c25d38b


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker